import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnChanges, SimpleChanges, TemplateRef } from '@angular/core';
import { MatDialog, MatDialogConfig } from '@angular/material/dialog';
import { SaffronModalButton } from './models/saffron-modal-button';
import { SaffronButtonTypes } from '../_03-saffron-button/models/saffron-button-types';
import * as i0 from "@angular/core";
export declare class SaffronModalComponent implements AfterViewInit, OnChanges {
    dialog: MatDialog;
    chRef: ChangeDetectorRef;
    modalTemplate: TemplateRef<any>;
    open: boolean;
    hasAccept: boolean;
    hasCancel: boolean;
    disableCancel: boolean;
    disableAccept: boolean;
    acceptTitle: string;
    cancelTitle: string;
    config?: MatDialogConfig;
    customButtons: SaffronModalButton[];
    showHeaderBorder: boolean;
    showFooterBorder: boolean;
    acceptClicked: EventEmitter<void>;
    cancelClicked: EventEmitter<void>;
    templateref: TemplateRef<any>;
    SaffronButtonTypes: typeof SaffronButtonTypes;
    private dialogRef;
    private isViewInited;
    private isOpenChangeCalled;
    constructor(dialog: MatDialog, chRef: ChangeDetectorRef);
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    private onOpenChange;
    private openDialog;
    private closeDialog;
    customButtonClick(button: SaffronModalButton): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SaffronModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SaffronModalComponent, "saffron-modal", never, { "modalTemplate": { "alias": "modalTemplate"; "required": false; }; "open": { "alias": "open"; "required": false; }; "hasAccept": { "alias": "hasAccept"; "required": false; }; "hasCancel": { "alias": "hasCancel"; "required": false; }; "disableCancel": { "alias": "disableCancel"; "required": false; }; "disableAccept": { "alias": "disableAccept"; "required": false; }; "acceptTitle": { "alias": "acceptTitle"; "required": false; }; "cancelTitle": { "alias": "cancelTitle"; "required": false; }; "config": { "alias": "config"; "required": false; }; "customButtons": { "alias": "customButtons"; "required": false; }; "showHeaderBorder": { "alias": "showHeaderBorder"; "required": false; }; "showFooterBorder": { "alias": "showFooterBorder"; "required": false; }; }, { "acceptClicked": "acceptClicked"; "cancelClicked": "cancelClicked"; }, never, never, true, never>;
}
